## com.fasterxml.jackson.databind.node
Class ObjectNode.NoFieldsIterator

    java.lang.Object
      com.fasterxml.jackson.databind.node.ObjectNode.NoFieldsIterator

All Implemented Interfaces:
  Iterator<Map.Entry<String,JsonNode>>

Enclosing class:
  ObjectNode

    protected static class ObjectNode.NoFieldsIterator

extends Object
implements Iterator<Map.Entry<String,JsonNode>>

For efficiency, let's share the "no fields" iterator...

Method Summary
`boolean` `hasNext()`
`Map.Entry<String,JsonNode>` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<Map.Entry<String,JsonNode>>`

### next

    public Map.Entry<String,JsonNode> next()

  Specified by:
    `next` in interface `Iterator<Map.Entry<String,JsonNode>>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<Map.Entry<String,JsonNode>>`

Copyright © 2012 fasterxml.com. All Rights Reserved.